// Recipes related to Dimensional Doors

ServerEvents.recipes(event => {
	
event.remove({ output: 'dimdoors:tesselating_loom' })

// Stable Fabric
event.shapeless(
  Item.of('dimdoors:stable_fabric'),
  [
    'dimdoors:world_thread',
	'dimdoors:world_thread',
	'dimdoors:world_thread',
	'dimdoors:world_thread',
	'minecraft:ender_pearl'
  ]
)

// Enduring Fibers
event.shapeless(
  Item.of('dimdoors:enduring_fibers'),
  [
    'dimdoors:infrangible_fiber',
	'dimdoors:infrangible_fiber',
	'dimdoors:liminal_lint',
	'dimdoors:stable_fabric'
  ]
)

// Machining
event.recipes.thermal.pulverizer(['2x dimdoors:world_thread', Item.of('dimdoors:world_thread').withChance(0.5)], 'dimdoors:black_fabric').energy(4000)
event.recipes.create.splashing([Item.of('dimdoors:white_fabric').withChance(0.8), Item.of('dimdoors:liminal_lint').withChance(0.2)], 'dimdoors:white_fabric')
event.recipes.thermal.bottler('dimdoors:rift_pearl', [Fluid.of('dimdoors:eternal_fluid', 1000), 'minecraft:ender_pearl']).energy(8000)
event.recipes.thermal.press('dimdoors:unravelled_fabric', ['4x dimdoors:frayed_filament', 'thermal:press_packing_2x2_die']).energy(24000)
	
})

ServerEvents.tags('block', event => {

event.add('minecraft:needs_diamond_tool', 'dimdoors:unravelled_fabric')
	
})